CREATE TABLE ask_obs_deployed_domains (
    OBS_DEPLOYED_DOMAIN_ID      NUMBER(18, 0) ,
    DEPLOYED_DOMAIN_ID          NUMBER(18, 0)     NOT NULL,
    DEPLOYED_DOMAIN_NAME        VARCHAR2(4000)    NOT NULL,
    EM_HOME_URL                 VARCHAR2(4000),
    INTERNAL_VIRTUAL_HOST       VARCHAR2(2048),
    INTERNAL_VIRTUAL_PORT       VARCHAR2(200) ,
    EXTERNAL_VIRTUAL_HOST       VARCHAR2(2048),
    EXTERNAL_VIRTUAL_PORT       VARCHAR2(200) ,
    JMX_PORT                    VARCHAR2(200) ,
    NODE_MANAGER_PORT           VARCHAR2(200) ,
    ADMIN_HOST                  VARCHAR2(2048),
    ADMIN_PORT                  VARCHAR2(200) ,
    LOGICAL_DOMAIN_ID           NUMBER(18, 0) ,
    NODE_MANAGER_PROTOCOL       VARCHAR2(200) ,
    ADMIN_SERVER_NAME           VARCHAR2(4000),
    APPLICATION_CLOUD_ID        NUMBER(18, 0) ,
    INTERNAL_SERVER_PROTOCOL    VARCHAR2(200) ,
    EXTERNAL_SERVER_PROTOCOL    VARCHAR2(200) ,
    ADMIN_SERVER_PROTOCOL       VARCHAR2(200) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID               NUMBER(18, 0)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    HISTORY_TYPE                VARCHAR2(320) ,
    OBS_DEPLOYED_DOMAIN_ID      NUMBER(18, 0) ,
    DEPLOYED_DOMAIN_ID          NUMBER(18, 0)     NOT NULL,
    DEPLOYED_DOMAIN_NAME        VARCHAR2(4000)    NOT NULL,
    EM_HOME_URL                 VARCHAR2(4000),
    INTERNAL_VIRTUAL_HOST       VARCHAR2(2048),
    INTERNAL_VIRTUAL_PORT       VARCHAR2(200) ,
    EXTERNAL_VIRTUAL_HOST       VARCHAR2(2048),
    EXTERNAL_VIRTUAL_PORT       VARCHAR2(200) ,
    JMX_PORT                    VARCHAR2(200) ,
    NODE_MANAGER_PORT           VARCHAR2(200) ,
    ADMIN_HOST                  VARCHAR2(2048),
    ADMIN_PORT                  VARCHAR2(200) ,
    LOGICAL_DOMAIN_ID           NUMBER(18, 0) ,
    NODE_MANAGER_PROTOCOL       VARCHAR2(200) ,
    ADMIN_SERVER_NAME           VARCHAR2(4000),
    APPLICATION_CLOUD_ID        NUMBER(18, 0) ,
    INTERNAL_SERVER_PROTOCOL    VARCHAR2(200) ,
    EXTERNAL_SERVER_PROTOCOL    VARCHAR2(200) ,
    ADMIN_SERVER_PROTOCOL       VARCHAR2(200) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID               NUMBER(18, 0)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    HISTORY_TYPE                VARCHAR2(320) ,
    CONSTRAINT pk_ask_obs_deployed_domains PRIMARY KEY (OBS_DEPLOYED_DOMAIN_ID, OBS_DEPLOYED_DOMAIN_ID)
);
